curl --request POST \ --url https://geekai.dev/api/v1/agent/chat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "uuid": "29db255d-211c-4fc6-8fbe-af97fa59cafa", "question": "How do I apply for XXX?", "messages": [ { "text": "How long is the warranty period for your products?", "role": "human" }, { "text": "Our products come with a standard one-year warranty.", "role": "ai" } ], "stream": true, "sess_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"}'
import requests
url = "https://geekai.dev/api/v1/agent/chat"
payload = {
"uuid": "29db255d-211c-4fc6-8fbe-af97fa59cafa",
"question": "How do I apply for XXX?",
"messages": [
{
"text": "How long is the warranty period for your products?",
"role": "human"
},
{
"text": "Our products come with a standard one-year warranty.",
"role": "ai"
}
],
"stream": True,
"sess_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '29db255d-211c-4fc6-8fbe-af97fa59cafa',
question: 'How do I apply for XXX?',
messages: [
{text: 'How long is the warranty period for your products?', role: 'human'},
{text: 'Our products come with a standard one-year warranty.', role: 'ai'}
],
stream: true,
sess_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://geekai.dev/api/v1/agent/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://geekai.dev/api/v1/agent/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'uuid' => '29db255d-211c-4fc6-8fbe-af97fa59cafa',
'question' => 'How do I apply for XXX?',
'messages' => [
[
'text' => 'How long is the warranty period for your products?',
'role' => 'human'
],
[
'text' => 'Our products come with a standard one-year warranty.',
'role' => 'ai'
]
],
'stream' => true,
'sess_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://geekai.dev/api/v1/agent/chat"
payload := strings.NewReader("{\n \"uuid\": \"29db255d-211c-4fc6-8fbe-af97fa59cafa\",\n \"question\": \"How do I apply for XXX?\",\n \"messages\": [\n {\n \"text\": \"How long is the warranty period for your products?\",\n \"role\": \"human\"\n },\n {\n \"text\": \"Our products come with a standard one-year warranty.\",\n \"role\": \"ai\"\n }\n ],\n \"stream\": true,\n \"sess_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://geekai.dev/api/v1/agent/chat")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"uuid\": \"29db255d-211c-4fc6-8fbe-af97fa59cafa\",\n \"question\": \"How do I apply for XXX?\",\n \"messages\": [\n {\n \"text\": \"How long is the warranty period for your products?\",\n \"role\": \"human\"\n },\n {\n \"text\": \"Our products come with a standard one-year warranty.\",\n \"role\": \"ai\"\n }\n ],\n \"stream\": true,\n \"sess_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://geekai.dev/api/v1/agent/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"uuid\": \"29db255d-211c-4fc6-8fbe-af97fa59cafa\",\n \"question\": \"How do I apply for XXX?\",\n \"messages\": [\n {\n \"text\": \"How long is the warranty period for your products?\",\n \"role\": \"human\"\n },\n {\n \"text\": \"Our products come with a standard one-year warranty.\",\n \"role\": \"ai\"\n }\n ],\n \"stream\": true,\n \"sess_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body
curl --request POST \ --url https://geekai.dev/api/v1/agent/chat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "uuid": "29db255d-211c-4fc6-8fbe-af97fa59cafa", "question": "How do I apply for XXX?", "messages": [ { "text": "How long is the warranty period for your products?", "role": "human" }, { "text": "Our products come with a standard one-year warranty.", "role": "ai" } ], "stream": true, "sess_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"}'
import requests
url = "https://geekai.dev/api/v1/agent/chat"
payload = {
"uuid": "29db255d-211c-4fc6-8fbe-af97fa59cafa",
"question": "How do I apply for XXX?",
"messages": [
{
"text": "How long is the warranty period for your products?",
"role": "human"
},
{
"text": "Our products come with a standard one-year warranty.",
"role": "ai"
}
],
"stream": True,
"sess_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '29db255d-211c-4fc6-8fbe-af97fa59cafa',
question: 'How do I apply for XXX?',
messages: [
{text: 'How long is the warranty period for your products?', role: 'human'},
{text: 'Our products come with a standard one-year warranty.', role: 'ai'}
],
stream: true,
sess_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://geekai.dev/api/v1/agent/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://geekai.dev/api/v1/agent/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'uuid' => '29db255d-211c-4fc6-8fbe-af97fa59cafa',
'question' => 'How do I apply for XXX?',
'messages' => [
[
'text' => 'How long is the warranty period for your products?',
'role' => 'human'
],
[
'text' => 'Our products come with a standard one-year warranty.',
'role' => 'ai'
]
],
'stream' => true,
'sess_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://geekai.dev/api/v1/agent/chat"
payload := strings.NewReader("{\n \"uuid\": \"29db255d-211c-4fc6-8fbe-af97fa59cafa\",\n \"question\": \"How do I apply for XXX?\",\n \"messages\": [\n {\n \"text\": \"How long is the warranty period for your products?\",\n \"role\": \"human\"\n },\n {\n \"text\": \"Our products come with a standard one-year warranty.\",\n \"role\": \"ai\"\n }\n ],\n \"stream\": true,\n \"sess_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://geekai.dev/api/v1/agent/chat")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"uuid\": \"29db255d-211c-4fc6-8fbe-af97fa59cafa\",\n \"question\": \"How do I apply for XXX?\",\n \"messages\": [\n {\n \"text\": \"How long is the warranty period for your products?\",\n \"role\": \"human\"\n },\n {\n \"text\": \"Our products come with a standard one-year warranty.\",\n \"role\": \"ai\"\n }\n ],\n \"stream\": true,\n \"sess_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://geekai.dev/api/v1/agent/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"uuid\": \"29db255d-211c-4fc6-8fbe-af97fa59cafa\",\n \"question\": \"How do I apply for XXX?\",\n \"messages\": [\n {\n \"text\": \"How long is the warranty period for your products?\",\n \"role\": \"human\"\n },\n {\n \"text\": \"Our products come with a standard one-year warranty.\",\n \"role\": \"ai\"\n }\n ],\n \"stream\": true,\n \"sess_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body
[ { "text": "How long is the warranty period for your products?", "role": "human" }, { "text": "Our products come with a standard one-year warranty.", "role": "ai" } ]